/* =========================
   GLOBAL
========================= */

html{
scroll-behavior:smooth;
}

body{

background:
radial-gradient(
circle at top,
rgba(212,175,55,.08),
transparent 50%
),
#0B0F19;

overflow-x:hidden;

}

section{
position:relative;
}

/* =========================
   HERO GLOW
========================= */

.hero-glow{

position:absolute;

width:500px;
height:500px;

border-radius:999px;

background:#D4AF37;

filter:blur(180px);

opacity:.15;

pointer-events:none;

}

/* =========================
   GLASS EFFECT
========================= */

.glass{

background:rgba(255,255,255,.05);

backdrop-filter:blur(20px);

border:1px solid rgba(255,255,255,.08);

box-shadow:
0 10px 30px rgba(0,0,0,.3);

transition:all .3s ease;

}

.glass:hover{

transform:translateY(-8px);

border-color:#D4AF37;

box-shadow:
0 20px 50px rgba(212,175,55,.15);

}

/* =========================
   BUTTON GOLD
========================= */

.btn-gold{

background:
linear-gradient(
135deg,
#FFD700,
#D4AF37
);

color:#000;

font-weight:700;

transition:.3s;

}

.btn-gold:hover{

transform:translateY(-3px);

box-shadow:
0 15px 40px rgba(212,175,55,.35);

}

/* =========================
   LOGO GLOW
========================= */

.logo-glow{

text-shadow:

0 0 10px rgba(212,175,55,.5),

0 0 30px rgba(212,175,55,.4),

0 0 60px rgba(212,175,55,.3);

}

/* =========================
   CURSOR GLOW
========================= */

.cursor-glow{

position:fixed;

width:400px;
height:400px;

border-radius:999px;

background:
radial-gradient(
circle,
rgba(212,175,55,.10),
transparent 70%
);

pointer-events:none;

z-index:1;

transform:translate(-50%,-50%);

}

/* =========================
   SCROLL PROGRESS
========================= */

#scrollProgress{

position:fixed;

top:0;
left:0;

height:4px;

width:0%;

z-index:99999;

background:#D4AF37;

box-shadow:
0 0 20px #D4AF37;

}

/* =========================
LOADER
========================= */

#siteLoader{

position:fixed;

inset:0;

background:#0B0F19;

display:flex;

justify-content:center;

align-items:center;

z-index:999999;

transition:all .6s ease;

}

#siteLoader.hide{

opacity:0;

visibility:hidden;

}

.loader-content{

text-align:center;

}

.loader-content h1{

font-size:4rem;

font-weight:900;

color:#D4AF37;

}

.loader-content p{

margin-top:10px;

color:#999;

}

/* =========================
FAQ
========================= */

.faq-btn{

transition:.3s;

}

.faq-btn:hover{

background:rgba(255,255,255,.03);

}

.faq-icon{

font-size:1.5rem;

font-weight:bold;

color:#D4AF37;

}